/*! 
    \file obb_tree.h
    \brief Definition of an obb tree (object oriented Bounding Box)

*/

#ifndef _OBB_TREE_H
#define _OBB_TREE_H

#include "base_object.h"
#include "bv_tree.h"


//! A class for representing an obb tree
class OBBTree : public BVTree {

 public:
  OBBTree();
  virtual ~OBBTree();

  virtual void spawnBVTree(int depth);
  virtual void flushTree();

  void collideWith(const OBBTree &tree);

  virtual void drawBV(int currentDepth, const int depth) const;
  virtual void drawBVPolygon(int currentDepth, const int depth) const;
  virtual void drawBVBlended(int currentDepth, const int depth) const;

  void debug();

 private:

};

#endif /* _OBB_TREE_H */
